# Étoile Polaire

Une application de gestion de conteneurs Docker avec support multi-machines.

## Description

Étoile Polaire est une application web permettant de :
- Visualiser les logs des conteneurs Docker en temps réel
- Gérer les conteneurs (démarrer, arrêter, redémarrer)
- Mettre à jour les conteneurs en un clic
- Gérer des conteneurs sur des machines distantes via des agents

## Architecture

Le projet est composé de trois parties principales :

- `server/` : Backend FastAPI (Python)
- `frontend/` : Interface utilisateur Vue.js
- `agent/` : Agent Go pour la gestion des conteneurs

## Prérequis

- Python 3.8+
- Node.js 16+
- Go 1.16+
- Docker

## Installation

Instructions d'installation à venir...

## Développement

Instructions de développement à venir...

## Licence

MIT 